class CustomError extends Error {
  constructor(message, status) {
    super(message);
    this.status = status;
  }
}

class ValidationError extends CustomError {
  constructor(message) {
    super(message, 400);
  }
}

class AuthenticationError extends CustomError {
  constructor(message) {
    super(message, 401);
  }
}

module.exports = {
  CustomError,
  ValidationError,
  AuthenticationError
};